
QGIS Application - Bug report #17476

QGIS master: update SQL layer error if name contains uppercase chars

2017-11-16 11:18 AM - salvatore fiandaca

Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25373

Description

by uploading a postgis vector, in QGIS 2.99, named with Shift characters, if I update SQL layers get an error.

method:

1. Load a postgis vector with named uppercase characters;

2. right-click on the layer -> update SQL layer

I attach screenshots

PS. the problem would be solved by putting the double quotes

named with uppercase characters

Fine della conversazione in chat

Digita un messaggio...

Associated revisions

Revision 9b4a6c08 - 2017-11-21 02:35 PM - Salvatore Larosa

[dbmanager] fixes #17476: QGIS master: update SQL layer error if name contains uppercase chars

Revision ea7c2af7 - 2017-11-21 02:42 PM - Salvatore Larosa

[dbmanager] fixes #17476: QGIS master: update SQL layer error if name contains uppercase chars

History

#1 - 2017-11-16 11:20 AM - Giovanni Manghi

- Operating System deleted (window 10 64b)

- Assignee deleted (Luigi Pirelli)

- Subject changed from QGIS 2.99 Update SQL layer error to QGIS master: update SQL layer error if name contains uppercase chars

#2 - 2017-11-16 11:43 AM - Salvatore Larosa

- Pull Request or Patch supplied changed from No to Yes

PR: https://github.com/qgis/QGIS/pull/5659
https://github.com/qgis/QGIS/pull/5659


#3 - 2017-11-21 02:36 PM - Salvatore Larosa

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|9b4a6c08f8f2ad57a65119f59752c1d2667a8d77.
